## golang-github-juju-names 4.0.0

=== Makefile ===
#
# Makefile for juju/names
#

PROJECT := github.com/juju/names/v3
PROJECT_DIR := $(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))
PROJECT_PACKAGES := $(shell go list $(PROJECT)/... | grep -v /acceptancetests/)
TEST_TIMEOUT := 600s

default: build

build: go-build

# Reformat source files.
format:
	gofmt -w -l .

go-build:
	@go build $(PROJECT_PACKAGES)

test: build
	go test $(CHECK_ARGS) -test.timeout=$(TEST_TIMEOUT) $(PROJECT_PACKAGES) -check.v

=== debian/changelog ===
golang-github-juju-names (4.0.0-2) unstable; urgency=medium

  * No changes source-only upload

 -- Mathias Gibbens <mathias@calenhad.com>  Mon, 07 Feb 2022 19:25:00 +0000

golang-github-juju-names (4.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #905071)

 -- Mathias Gibbens <mathias@calenhad.com>  Sun, 06 Feb 2022 18:48:40 +0000

=== debian/control ===
Source: golang-github-juju-names
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <mathias@calenhad.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-juju-errors-dev,
               golang-github-juju-testing-dev,
               golang-github-juju-utils-dev,
               golang-gopkg-check.v1-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-juju-names
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-juju-names.git
Homepage: https://github.com/juju/names
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/juju/names

Package: golang-github-juju-names-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         golang-github-juju-errors-dev,
         golang-github-juju-testing-dev,
         golang-github-juju-utils-dev,
         golang-gopkg-check.v1-dev
Description: Package to deal with juju names (services, units, machines, etc) (library)
 Collection of helpers for handling juju entity names (services,
 units, machines, etc).

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/juju/names/tags .*/v?(\d\S*)\.tar\.gz debian
